package talent_model

type TaskSimpleInfo struct {
	Id int `orm:"id, primary" json:"id"`
	CoverImgUrls []string `orm:"cover_urls" json:"cover_img_urls"`
	TaskMode int8 `orm:"task_model" json:"task_mode"`
	TaskName string `orm:"task_name" json:"task_name"`
	TaskPlatform int8 `orm:"task_platform" json:"task_platform"`
	TaskContentForm int8 `orm:"content_form" json:"task_content_form"`
	ProductValue int64 `orm:"product_value" json:"product_value"`
	NeedTalentCnt int `orm:"need_talent_cnt" json:"need_talent_cnt"`
	SignedUpCount int `orm:"signed_up_count" json:"signed_up_count"`
	DeadlineTime string `orm:"deadline_time" json:"deadline_time"`
	BuySamplesType int8 `orm:"buy_samples_type" json:"buy_samples_type"`
	BuySamplesCost int64 `orm:"buy_samples_cost" json:"buy_samples_cost"`
}

type TaskDetailInfo struct {
	Id int `orm:"id" json:"id"`
	CoverUrls string `orm:"cover_urls" json:"cover_urls"`
	TaskMode int `orm:"task_mode" json:"task_mode"`
	TaskName string `orm:"task_name" json:"task_name"`
	TaskPlatform int `orm:"task_platform" json:"task_platform"`
	ContentForm int `orm:"content_form" json:"content_form"`
	OtherForm int `orm:"other_form" json:"other_form"`
	ProductPrice int64 `orm:"product_price" json:"product_price"`
	NeedTalentCnt int `orm:"need_talent_cnt" json:"need_talent_cnt"`
	SignedUpCount int `orm:"signed_up_count" json:"signed_up_count"`
	StartTime string `orm:"start_time" json:"start_time"`
	EndTime string `orm:"end_time" json:"end_time"`
	DeadlineTime string `orm:"deadline_time" json:"deadline_time"`
	BuySamplesType int8 `orm:"buy_samples_type" json:"buy_samples_type"`
	BuySamplesCost int64 `orm:"buy_samples_cost" json:"buy_samples_cost"`
	IsRewardGoods int8 `orm:"is_reward_goods" json:"is_reward_goods"`
	RewardGoodsInfo string `orm:"reward_goods_info" json:"reward_goods_info"`
	IsPaymentArticle int8 `orm:"is_payment_article" json:"is_payment_article"`
	PaymentValue string `orm:"payment_value" json:"payment_value"`
	OtherRewardInfo string `orm:"other_reward_info" json:"other_reward_info"`
	MinFansCount int `orm:"min_fans_count" json:"min_fans_count"`
	TalentSkillsOn string `orm:"talent_skills_on" json:"talent_skills_on"`
	InteractType string `orm:"interact_type" json:"interact_type"`
	RegionCode int `orm:"region_code" json:"region_code"`
	Gender int8 `orm:"gender" json:"gender"`
	OtherRequirement string `orm:"other_requirement" json:"other_requirement"`
	TaskWorkflow string `orm:"task_workflow" json:"task_workflow"`
	TaskHelp string `orm:"task_help" json:"task_help"`
	BrandName string `orm:"brand_name" json:"brand_name"`
	BrandLogo string `orm:"brand_logo" json:"brand_logo"`
	BrandInfo string `orm:"brand_info" json:"brand_info"`
	DetailImgUrls string `orm:"detail_img_urls" json:"detail_img_urls"`
}