package talent_model

// WxLoginInfo 达人端微信登录后传给服务端的信息
type WxLoginInfo struct {
	Code     string `json:"code" v:"required#code must not be null"`
	Nickname string `json:"nickname" v:"required#nickname must not be null"`
	Gender   int    `json:"gender" v:"required#gender must not be null"`
}

// LoginResultData 服务端处理完达人登录流程后返回给达人端的信息
type LoginResultData struct {
	Token string `json:"token"`
}